<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"><link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
<script src="https://cdn.datatables.net/1.10.19/js/jquery.dataTables.min.js"> </script>

<br>
<div style="margin-top: 50px" class="row page-titles">
  <div class="col-md-5 align-self-center">
    <h3 class="text-primary">Student's Rank</h3>
  </div>
</div>

<div class="container">
  <div class="card top">
    <div class="row">
      <div class="col-md-1 pull-right">
        <%= link_to 'Back', welcome_user_path , class: "btn btn-warning float-right mr-3" %>
      </div>
    </div>
  </div>
</div>
<br>

<table id="students_rank">
  <thead>
    <tr>
      <th>Student Name</th>
      <th>Total Mark</th>
      <th>Rank</th>
    </tr>
  </thead>

  <tbody>
    <% @students_rank.each do |student_rank| %>
      <tr>
        <td><%= student_rank.stud_name %></td>
        <td><%= student_rank.total_mark %></td>
        <td><%= student_rank.rank %></td>
      </tr>
    <% end %>
  </tbody>
</table>

<br>


<script type="text/javascript">
  $(document).ready(function(){
    $('#students_rank').dataTable();
  });
</script>


